2019-01-22 03:01 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002333NetSurfRISC OS-specificpublic2016-02-16 15:27
ReporterDave Higton 
Assigned ToJohn-Mark Bell 
SeveritycrashReproducibilitysometimes 
StatusclosedResolutionfixed 
PlatformIyonixOSRISC OSOS Version5.22, 5.23 (18 Jun 2015)
Product Version3.4 
Target Version3.4Fixed in Version3.4 
Summary0002333: Crashes after Buffer_Create followed by Buffer_Remove
DescriptionAfter I run a small BASIC app that uses Buffer_Create to claim a 32769-byte buffer and them immediately Buffer_Remove it, NS CI#2859 will usually (but not always) crash when left clicking its icon bar icon. I have not been able to recreate it with CI#2858.
Steps To ReproduceLoad NS CI#2859. Run Buffer01 (supplied in the archive). Left click NS's icon bar icon, or open the hotlist and select any item from it.
TagsNo tags attached.
Fixed in CI build #2863
Reported in CI build #2859
URL of problem page
Attached Files
  • zip file icon Log.zip (6,478 bytes) 2015-07-18 20:45

-Relationships
+Relationships

-Notes
John-Mark Bell

~0000878

John-Mark Bell (administrator)

I've fixed some obvious NULL dereferences in this area, so consider this fixed.
Vincent Sanders

~0001306

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-07-18 20:45 Dave Higton New Issue
2015-07-18 20:45 Dave Higton File Added: Log.zip
2015-07-18 22:47 John-Mark Bell Note Added: 0000878
2015-07-18 22:47 John-Mark Bell Status new => resolved
2015-07-18 22:47 John-Mark Bell Resolution open => fixed
2015-07-18 22:47 John-Mark Bell Product Version => 3.4
2015-07-18 22:47 John-Mark Bell Fixed in Version => 3.4
2015-07-18 22:47 John-Mark Bell Target Version => 3.4
2015-07-20 07:32 Vincent Sanders Fixed in CI build # => 2863
2015-07-20 07:32 Vincent Sanders Assigned To => John-Mark Bell
2016-02-16 15:27 Vincent Sanders Note Added: 0001306
2016-02-16 15:27 Vincent Sanders Status resolved => closed
+Issue History